//Select short (10 entry), medium (100 entry) or long (200,000 entry) trace file
//`define TRACEFILE "short_test.trc"  //10 entries
//`define TRACEFILE         "tex_word_addr.trc"         //100 entries
`define TRACEFILE       "large_tex_word_addr.trc"   // 200,000 entries

// For end-of-trace determination: array one element larger than trace!
//`define MAXTRACESIZE 10
//`define MAXTRACESIZE    101
`define MAXTRACESIZE 200001

`define TRACEWIDTH      36
`define TRACE           `TRACEWIDTH-1:0

`define TACCS           `TRACEWIDTH-1:`TRACEWIDTH-4     // Access type
`define TADDR           `TRACEWIDTH-5:0                 // Memory address

`define DR              0       // Data read
`define DW              1       // Data write
`define IF              2       // Instruction fetch
